Package org.opensaml.saml.ext.samlec

# Interface SessionKey

All Superinterfaces:
  `ActorBearing`, `MustUnderstandBearing`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SessionKeyImpl`

public interface SessionKey extends SAMLObject, MustUnderstandBearing, ActorBearing
SAML-EC GSS-API SessionKey element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALGORITHM_ATTRIB_NAME`
Algorithm attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Get the session key derivation algorithm.
`List<EncType>`
`getEncTypes()`
Get the session key encryption typed.
`KeyInfo`
`getKeyInfo()`
Get the KeyInfo object that describes the session key.
`void`
`setAlgorithm(String newAlgorithm)`
Set the session key derivation algorithm.
`void`
`setKeyInfo(KeyInfo newKeyInfo)`
Set the KeyInfo object that describes the session key.

### Methods inherited from interface org.opensaml.soap.soap11.ActorBearing

`getSOAP11Actor, setSOAP11Actor`

### Methods inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`isSOAP11MustUnderstand, isSOAP11MustUnderstandXSBoolean, setSOAP11MustUnderstand, setSOAP11MustUnderstand`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ALGORITHM_ATTRIB_NAME

@Nonnull @NotEmpty static final String ALGORITHM_ATTRIB_NAME
Algorithm attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAlgorithm

@Nullable String getAlgorithm()
Get the session key derivation algorithm.

Returns:
  the algorithm used to derive the session key

### setAlgorithm

void setAlgorithm(@Nullable String newAlgorithm)
Set the session key derivation algorithm.

Parameters:
  `newAlgorithm` - the algorithm used to derive the session key

### getEncTypes

@Nonnull List<EncType> getEncTypes()
Get the session key encryption typed.

Returns:
  the encryption types of the session key

### getKeyInfo

@Nullable KeyInfo getKeyInfo()
Get the KeyInfo object that describes the session key.

Returns:
  the KeyInfo object that describes the session key

### setKeyInfo

void setKeyInfo(@Nullable KeyInfo newKeyInfo)
Set the KeyInfo object that describes the session key.

Parameters:
  `newKeyInfo` - the KeyInfo object that describes the session key